API Documentation |
Size

Package | org.alivepdf.layout
Class | public final class Size
Inheritance | Size Object

Represents the size of the printed page.

Public Properties

| Property | Defined By
--- | --- | ---
|  | A3 : Size [static] Constants representing the various paper sizes. | Size
|  | A4 : Size [static] | Size
|  | A5 : Size [static] | Size
|  | dimensions : Array The dimensions used by the PDF engine to determine page extents. | Size
|  | fullLabel : String [read-only] | Size
|  | inchesSize : Array The dimensions, in inches. | Size
|  | label : String A friendly label for users. | Size
|  | LEGAL : Size [static] | Size
|  | LETTER : Size [static] | Size
|  | mmSize : Array The dimensions, in mm. | Size
|  | sizes : Array [static] An array containing all the available paper sizes. | Size
|  | TABLOID : Size [static] | Size

Public Methods

| Method | Defined By
--- | --- | ---
|  | Size(pixelsSize:Array, pLabel:String, pInchesSize:Array, pMmSize:Array) | Size
|  | clone():Size | Size
|  | getSize(value:Object):Size [static] Given a String representing the label of a size, or a Size object, this returns the Size object that corresponds to it. | Size
|  | toString():String | Size

Property Detail

A3 | property

`public static var A3:Size`

Constants representing the various paper sizes.

A4 | property |

`public static var A4:Size`

A5 | property |

`public static var A5:Size`

dimensions | property |

`public var dimensions:Array`

The dimensions used by the PDF engine to determine page extents.

fullLabel | property |

`fullLabel:String` [read-only]

Implementation
`public function get fullLabel():String`

inchesSize | property |

`public var inchesSize:Array`

The dimensions, in inches. This should be used for a friendly display for users and not in dimension calculations.

label | property |

`public var label:String`

A friendly label for users.

LEGAL | property |

`public static var LEGAL:Size`

LETTER | property |

`public static var LETTER:Size`

mmSize | property |

`public var mmSize:Array`

The dimensions, in mm. This should be used for a friendly display for users and not in dimension calculations.

sizes | property |

`public static var sizes:Array`

An array containing all the available paper sizes.

TABLOID | property |

`public static var TABLOID:Size`

Constructor Detail

Size | () | Constructor

`public function Size(pixelsSize:Array, pLabel:String, pInchesSize:Array, pMmSize:Array)`

Parameters

| `pixelsSize:Array`
| `pLabel:String`
| `pInchesSize:Array`
| `pMmSize:Array`

Method Detail

clone | () | method

`public function clone():Size`

Returns

| `Size`

getSize | () | method |

`public static function getSize(value:Object):Size`

Given a String representing the label of a size, or a Size object, this returns the Size object that corresponds to it. Returns null on invalid size.

Parameters

| `value:Object`

Returns

| `Size`

toString | () | method |

`public function toString():String`

Returns

| `String`

Mon Oct 17 2011, 09:13 PM -04:00